Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bmserv.model.handlers
Class TaggingHandler

    java.lang.Object
      bmserv.model.handlers.TaggingHandler

    public class TaggingHandler

extends java.lang.Object

Gestion des instances de `Tagging`.
Cette classe sert a faire le lien entre des differents elements du modele. Un `Tagging` correspond a une action d'un utilisateur qui associe a un moment donne un `Tag` et un `Bookmark`.

Author:
  ndelafor

Constructor Summary
`TaggingHandler()`

Method Summary
`void` | `createTagging(java.lang.String authorid, java.lang.String bmid, java.lang.String tagid)` Creation d'un `Tagging`
`Tagging` | `getTaggingFromId(java.lang.String taggingId)` Methode qui permet d'acceder a une instance de `Tagging` a partir de son ID
`java.util.List<Tagging>` | `getTaggings()` Permet de recuperer tous les `Taggings` sous la forme d'une collection
`java.util.List<Tagging>` | `getTaggingsFromBookmarkId(java.lang.String bmid)` Permet de recuperer tous les `Tagging` qui associent un `Tag` a un ID de `Bookmark` donne.
`java.util.List<Tagging>` | `getTaggingsFromTagId(java.lang.String tagid)` Permet de recuperer tous les `Tagging` qui associent un `Bookmark` a un ID de `Tag` donne.
`java.util.List<Tagging>` | `getTaggingsFromUserId(java.lang.String userid)` Permet de recuperer tous les `Tagging` crees par un `User` donne.
`void` | `print()` Methode utilitaire pour afficher le nombre d'éléments contenus dans la liste.
`void` | `removeTagging(Tagging t)` Suppression d'un `Tagging` dans le `TaggingHandler` a partir de son instance.
`void` | `removeTaggingsWithBookmarkId(java.lang.String bmid)` Supprime tous les `Taggings` associes a un `Bookmark` donne.
`void` | `removeTaggingsWithTagId(java.lang.String tagid)` Supprime tous les `Taggings` associes a un `Tag` donne.
`void` | `removeTaggingsWithUserId(java.lang.String userid)` Supprime tous les `Taggings` crees par un `User` donne.
`void` | `updateTaggingsWithBookmarkId(java.lang.String oldbmid, java.lang.String newbmid)` Mise a jour de tous les `Taggings` suite a un changement d'ID de `Bookmark`.
`void` | `updateTaggingsWithTagId(java.lang.String oldtagid, java.lang.String newtagid)` Mise a jour de tous les `Taggings` suite a un changement d'ID de `Tag`.
`void` | `updateTaggingsWithUserId(java.lang.String olduserid, java.lang.String newuserid)` Mise a jour de tous les `Taggings` suite a un changement d'ID de `Tag`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggingHandler

    public TaggingHandler()

Method Detail

### getTaggings

    public java.util.List<Tagging> getTaggings()

  Permet de recuperer tous les `Taggings` sous la forme d'une collection

  Returns:
    une `List` de `Tagging`

### getTaggingFromId

    public final Tagging getTaggingFromId(java.lang.String taggingId)

  Methode qui permet d'acceder a une instance de `Tagging` a partir de son ID

  Parameters:
    `taggingId` - ID du `Tagging` a retrouver
  Returns:
    l'instance du `Tagging`

### getTaggingsFromBookmarkId

    public final java.util.List<Tagging> getTaggingsFromBookmarkId(java.lang.String bmid)

  Permet de recuperer tous les `Tagging` qui associent un `Tag` a un ID de `Bookmark` donne.

  Parameters:
    `bmid` - l'ID du `Bookmark` recherche
  Returns:
    Collection de `Taggings` qui correspond

### getTaggingsFromTagId

    public final java.util.List<Tagging> getTaggingsFromTagId(java.lang.String tagid)

  Permet de recuperer tous les `Tagging` qui associent un `Bookmark` a un ID de `Tag` donne.

  Parameters:
    `tagid` - l'ID du `Tag` recherche
  Returns:
    Collection de `Bookmarks` qui correspond

### getTaggingsFromUserId

    public final java.util.List<Tagging> getTaggingsFromUserId(java.lang.String userid)

  Permet de recuperer tous les `Tagging` crees par un `User` donne.

  Parameters:
    `userid` - l'ID du `User` recherche
  Returns:
    Collection de `Tagging` qui correspond

### createTagging

    public void createTagging(java.lang.String authorid,
                              java.lang.String bmid,
                              java.lang.String tagid)

  Creation d'un `Tagging`

  Parameters:
    `authorid` - ID de l'auteur
    `bmid` - ID du `Bookmark`
    `tagid` - ID du `Tag`

### removeTagging

    public void removeTagging(Tagging t)

  Suppression d'un `Tagging` dans le `TaggingHandler` a partir de son instance.

  Parameters:
    `t` - instance du `Tagging`

### removeTaggingsWithBookmarkId

    public final void removeTaggingsWithBookmarkId(java.lang.String bmid)

  Supprime tous les `Taggings` associes a un `Bookmark` donne.

  Parameters:
    `bmid` - ID du `Bookmark` recherche

### removeTaggingsWithTagId

    public final void removeTaggingsWithTagId(java.lang.String tagid)

  Supprime tous les `Taggings` associes a un `Tag` donne.

  Parameters:
    `tagid` - ID du `Tag` recherche

### removeTaggingsWithUserId

    public final void removeTaggingsWithUserId(java.lang.String userid)

  Supprime tous les `Taggings` crees par un `User` donne.

  Parameters:
    `userid` - ID du `User` recherche

### updateTaggingsWithBookmarkId

    public final void updateTaggingsWithBookmarkId(java.lang.String oldbmid,
                                                   java.lang.String newbmid)

  Mise a jour de tous les `Taggings` suite a un changement d'ID de `Bookmark`. Etant donne que les ID de `Taggings` sont generes a partir des ID de `Bookmark`, il est necessaire de mettre a jour non seulement la propriete `bmid` des `Taggings` mais aussi leurs ID.

  Parameters:
    `oldbmid` - ancien ID du `Bookmark`
    `newbmid` - nouvel ID du `Bookmark`

### updateTaggingsWithTagId

    public final void updateTaggingsWithTagId(java.lang.String oldtagid,
                                              java.lang.String newtagid)

  Mise a jour de tous les `Taggings` suite a un changement d'ID de `Tag`. Etant donne que les ID de `Taggings` sont generes a partir des ID de `Tag`, il est necessaire de mettre a jour non seulement la propriete `bmid` des `Taggings` mais aussi leurs ID.

  Parameters:
    `oldtagid` - ancien ID du `Tag`
    `newtagid` - nouvel ID du `Tag`

### updateTaggingsWithUserId

    public final void updateTaggingsWithUserId(java.lang.String olduserid,
                                               java.lang.String newuserid)

  Mise a jour de tous les `Taggings` suite a un changement d'ID de `Tag`.

  Parameters:
    `olduserid` - ancien ID du `User`
    `newuserid` - nouvel ID du `User`

### print

    public void print()

  Methode utilitaire pour afficher le nombre d'éléments contenus dans la liste.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD